/*
--------------------------------------
Header infos
--------------------------------------
*/

header ul {
    margin          : 0;
    list-style-type : none;
}

.main-header__topbar-container {
    display         : flex;
    justify-content : center;
    align-items     : center;
    gap             : 10px;
    height          : 41px;
    transition      : all 0.4s ease-in-out;
    background      : var(--e-global-color-primary);
    will-change     : opacity, transform;
}

.main-header__topbar-container--is-hidden,
.main-header__topbar-container--is-hidden > * {
    opacity    : 0;
    transform  : translateY(-100%);
    transition : all 0.1s ease-in-out;
}

.main-header__topbar-container .header-action__link-text {
    font-family    : var(--e-global-typography-secondary-font-family);
    font-size      : calc(13px + (16 - 13) * ((100vw - 320px) / (1920 - 320)));
    font-weight    : 400;
    color          : #FFFFFF;
    text-align     : center;
    letter-spacing : 0.32px;
}

/*
--------------------------------------
header
--------------------------------------
*/

body:not(.elementor-editor-active) .main-header__inner {
    position         : fixed;
    z-index          : 5;
    width            : 100%;
    background-color : transparent;
}

.main-header__container--is-shown {
    opacity    : 1;
    background : rgba(56, 56, 56, .75);
}

/*
--------------------------------------
Main header container
--------------------------------------
*/

.main-header__container {
    /*position: sticky;*/
    /*z-index: 12;*/
    /*top: 0;*/
    width            : 100%;
    background-color : #FFFFFF;
    /*!*height: 80px;*! si souhaite fixer une taille au header*/
}

/*si on souhaite faire disparaître le logo au scroll */
/*.main-header__container--is-fixed,*/
/*.main-header__container--is-fixed .main-logo__img {*/
/*	opacity: 0;*/
/*}*/

/*.main-header__container--is-fixed .main-logo__img {*/
/*	opacity: 0;*/
/*	height: 0;*/
/*}*/

.main-header__container,
.main-header__container .main-logo__img {
    transition : opacity 0.35s ease-in-out;
}

.main-header__container .main-logo__img {
    width      : 282px;
    max-width  : 282px;
    height     : 73px; /* obligatoire si on veut faire une animation sur la taille */
    max-height : 73px;
    padding    : 0;
    transition : all 0.35s ease-in-out;
    object-fit : contain;
}

.main-header__container--is-fixed .main-logo__img {
    width      : 282px;
    max-width  : 282px;
    height     : 73px;
    max-height : 73px;
}

.main-header__container--is-shown {
    opacity    : 1;
    background : rgba(255, 255, 255, .85);
}

.main-header__header-container {
    position    : relative;
    z-index     : 1;
    align-items : center;
    height      : 100%;
    transition  : all 0.4s ease-in-out;
    will-change : transform, box-shadow;
}

.main-header__inner--is-fixed.main-header__inner--is-shown .main-header__header-container {
    background : rgba(255, 255, 255, 0.5);
}

.main-header__header-container-inner {
    display               : grid;
    max-width             : 95%;
    margin                : auto;
    grid-template-columns : 0.15fr auto;
}

.main-header__header-container--is-scrolled {
    position   : sticky;
    top        : 0;
    right      : 0;
    left       : 0;
    transform  : translateY(-41px);
    z-index    : 20;
    transition : all 0.4s ease-in-out;
    background : var(--e-global-color-secondary);
    box-shadow : 0 4px 10px rgba(0, 0, 0, 0.2);
}

/*Logo*/

.main-header__container .main-logo {
    grid-column : 1;
}

.main-header__container .main-logo__link {
    color       : var(--e-global-color-primary);
    display     : flex;
    align-items : center;
    gap         : 20px;
    padding-top : 10px;
}

.has-secondary-menu-link .main-header__container .main-logo__link {
    color : #FFFFFF;
}

.main-header__container--is-fixed .main-logo__link {
    color : var(--e-global-color-primary);
}

.main-header__container .main-logo__text {
    font-family    : var(--e-global-typography-primary-font-family);
    font-size      : 22px;
    font-weight    : 400;
    line-height    : 1;
    color          : #FFFFFF;
    letter-spacing : -1.12px;
    display        : flex;
    gap            : 10px;
    transition     : all 0.35s ease-in-out;
}

.main-header__container .main-logo__text {
    padding-top : 2em;
}

.main-logo__link,
.main-logo__text {
    color : #FFFFFF;
}

.main-header__container--is-fixed .main-logo__text {
    color          : var(--e-global-color-primary);
    display        : flex;
    flex-direction : row;
    gap            : 7px;
    padding-top    : 0;
}

.main-header__container--is-shown .main-logo__text {
    flex-direction : row;
}

.main-header__container--is-fixed .main-logo__link {
    align-items : center;
}

/*Menu*/

.menu-wrapper {
    display         : flex;
    justify-content : flex-end;
    align-items     : center;
    grid-column     : 3;
}

.menu-item--no-link > .menu-link {
    cursor : default;
}

/*Actions*/

.main-header__inner .header-actions {
    display         : flex;
    justify-content : flex-end;
    align-items     : center;
    gap             : 15px;
    grid-column     : 2;
    grid-row        : 1;
}

.header-action__link {
    font-family : var(--e-global-typography-032f926-font-family), sans-serif;
}

.main-header__inner .header-action__link {
    color : #000000;
}

.has-secondary-menu-link .main-header__inner .header-action__link {
    color : #FFFFFF;
}

.main-header__inner .header-action__link:focus,
.main-header__inner .header-action__link:hover {
    color : var(--e-global-color-secondary);
}

.main-header__inner--is-fixed .header-action__link:hover {
    color : var(--e-global-color-primary);
}

.header-action__link {
    display       : flex;
    align-items   : center;
    gap           : 5px;
    border-radius : 5px;
}
